clang-tools 6.0.0

Classes | Namespaces
MisplacedOperatorInStrlenInAllocCheck.h File Reference
`#include "../ClangTidy.h"`
Include dependency graph for MisplacedOperatorInStrlenInAllocCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::bugprone::MisplacedOperatorInStrlenInAllocCheck
| Finds cases where `1` is added to the string in the argument to a function in the `strlen()` family instead of the result and value is used as an argument to a memory allocation function. More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::bugprone